#
# PRMoN 饤֥
#
# 07.09  Ver.0.1
# 07.11  Ver.0.2
# 08.01  Ver.0.3
# 08.04  Ver.0.4
# 08.09  Ver.0.5
#
$pr_ver = "0.7b";

sub get_project_list {
	my @d;
	if(-e "$datadir/GSMoN_Project/project_list"){
		&rlock("IN","$datadir/GSMoN_Project/project_list");
		@plist = <IN>;
		close(IN);
		my $x;
		my @splist;
		foreach $x (@plist){
			chomp($x);
			@splist = split(/&sep&/,$x);
			push(@project_number,$splist[4]);
			$project_name{$splist[4]} = $splist[5];
			$start_year{$splist[4]} = $splist[0];
			$start_mon{$splist[4]} = $splist[1];
			$end_year{$splist[4]} = $splist[2];
			$end_mon{$splist[4]} = $splist[3];
			$yosan0{$splist[4]} = $splist[7];
			@d = split(/#sep#/,$splist[8]);
			$yosan1{$splist[4]} = $d[0];
			$yosan_mei1{$splist[4]} = $d[1];
			@d = split(/#sep#/,$splist[9]);
			$yosan2{$splist[4]} = $d[0];
			$yosan_mei2{$splist[4]} = $d[1];
			$pr_member{$splist[4]} = $splist[6];
			$pr_tanka{$splist[4]} = $splist[10];
			@d = split(/#sep#/,$splist[11]);
			$yosan3{$splist[4]} = $d[0];
			$yosan_mei3{$splist[4]} = $d[1];
			@d = split(/#sep#/,$splist[12]);
			$yosan4{$splist[4]} = $d[0];
			$yosan_mei4{$splist[4]} = $d[1];
			$sr_member{$splist[4]} = $splist[13];
		}
	}
}

sub get_project_step_list{
	if(-e "$datadir/GSMoN_Project/$project_no/step_list"){
		&rlock("IN","$datadir/GSMoN_Project/$project_no/step_list");
		@wlist = <IN>;
		close(IN);
		my $x , @d;
		foreach $x (@wlist){
			chomp($x);
			@d = split(/&sep&/,$x);
			push(@step_list,$d[1]);
			$step_name{$d[1]} = $d[2];
			$step_url{$d[1]} = $d[3];
			$step_text{$d[1]} = $d[4];
		}
	}
}

sub print_project_top{
	my @sel_show = ();
	if($target eq "project/project"){
		$sel_show[0] = " selected";
	} elsif($target eq "project/show_all_term"){
		$sel_show[1] = " selected";
	} elsif($target eq "project/show_amount"){
		$sel_show[2] = " selected";
	} elsif($target eq "project/show_time_graph"){
		$sel_show[3] = " selected";
	} elsif($target eq "project/show_amount_month"){
		$sel_show[4] = " selected";
	} elsif($target eq "project/member_work"){
		$sel_show[5] = " selected";
	} elsif($target eq "project/show_time_amount_graph"){
		$sel_show[6] = " selected";
	} elsif($target eq "project/show_amount_graph"){
		$sel_show[7] = " selected";
	} elsif($target eq "project/show_documents"){
		$sel_show[8] = " selected";
	} elsif($target eq "project/show_all_steps"){
		$sel_show[9] = " selected";
	}
	print <<EOD;
				<div class="body-base">
				<table style="width:90%">
					<tr>
						<td class="font12b">ץɽ</td>
						<td class="right-top" style="font-size:9pt;color:#8080FF">PRMoN Ver.$pr_ver</td>
					</tr>
				</table>
				<table style="margin-top:10px;margin-left:10px" cellspacing="0px" cellpadding="2px">
					<tr style="height:1px">
						<td style="width:100px"></td>
						<td style="width:10px"></td>
						<td style="width:90px"></td>
						<td style="width:10px"></td>
						<td style="width:100px"></td>
						<td style="width:10px"></td>
						<td style="width:90px"></td>
						<td style="width:10px"></td>
						<td style="width:100px"></td>
						<td style="width:10px"></td>
						<td style="width:90px"></td>
					</tr>
					<tr>
						<td class="font10blue">
							ץ̾
						</td>
						<td></td>
						<td class="font11" colspan="9">
							$project_name{$project_no}
						</td>
					</tr>
					<tr>
						<td class="font10blue">
							
						</td>
						<td></td>
						<td class="font11" colspan="9">
							$start_year{$project_no}ǯ$start_mon{$project_no}$end_year{$project_no}ǯ$end_mon{$project_no}
						</td>
					</tr>
					<tr>
						<td colspan="3">
							<table cellspacing="1" cellpadding="0" style="background-Color:#0080FF;width:100%;height:20px"> 
								</tr>
									<td style="background-Color:#FFFFFF">
										<table style="width:100%">
											<tr>
												<td style="font-size:10pt;color:#0000FF">
													ͽ
												</td>
												<td style="font-size:10pt;text-align:right">
													$yosan0{$project_no}
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</td>
EOD
	if($yosan_mei1{$project_no} ne ""){
		print <<EOD;
						<td></td>
						<td colspan="3">
							<table cellspacing="1" cellpadding="0" style="background-Color:#0080FF;width:100%;height:20px"> 
								</tr>
									<td style="background-Color:#FFFFFF">
										<table style="width:100%">
											<tr>
												<td style="font-size:10pt;color:#0000FF">
													$yosan_mei1{$project_no}
												</td>
												<td style="font-size:10pt;text-align:right">
													$yosan1{$project_no}
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</td>
EOD
	} else {
		print <<EOD;
						<td colspan="4">
EOD
	}
	if($yosan_mei2{$project_no} ne ""){
		print <<EOD;
						<td></td>
						<td colspan="3">
							<table cellspacing="1" cellpadding="0" style="background-Color:#0080FF;width:100%;height:20px"> 
								</tr>
									<td style="background-Color:#FFFFFF">
										<table style="width:100%">
											<tr>
												<td style="font-size:10pt;color:#0000FF">
													$yosan_mei2{$project_no}
												</td>
												<td style="font-size:10pt;text-align:right">
													$yosan2{$project_no}
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</td>
EOD
	} else {
		print <<EOD;
						<td colspan="4">
EOD
	}
	print <<EOD;
					</tr>
EOD
	if($yosan_mei3{$project_no} ne "" || $yosan_mei4{$project_no} ne ""){
		print <<EOD;
					<tr>
						<td colspan="3">
EOD
		if($yosan_mei3{$project_no} ne ""){
			print <<EOD;
						<td></td>
						<td colspan="3">
							<table cellspacing="1" cellpadding="0" style="background-Color:#0080FF;width:100%;height:20px"> 
								</tr>
									<td style="background-Color:#FFFFFF">
										<table style="width:100%">
											<tr>
												<td style="font-size:10pt;color:#0000FF">
													$yosan_mei3{$project_no}
												</td>
												<td style="font-size:10pt;text-align:right">
													$yosan3{$project_no}
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</td>
EOD
		} else {
			print <<EOD;
						<td colspan="4">
EOD
		}
		if($yosan_mei4{$project_no} ne ""){
			print <<EOD;
						<td></td>
						<td colspan="3">
							<table cellspacing="1" cellpadding="0" style="background-Color:#0080FF;width:100%;height:20px"> 
								</tr>
									<td style="background-Color:#FFFFFF">
										<table style="width:100%">
											<tr>
												<td style="font-size:10pt;color:#0000FF">
													$yosan_mei4{$project_no}
												</td>
												<td style="font-size:10pt;text-align:right">
													$yosan4{$project_no}
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</td>
EOD
		} else {
			print <<EOD;
						<td colspan="4">
EOD
		}
		print <<EOD;
					</tr>
EOD
	}
	print <<EOD;
					<tr>
						<td class="font10" style="text-align:left" colspan="7">
EOD
	if($#wlist > -1){
		print <<EOD;
							ɽء
							<select name="select_show" onChange="show_html(document.com_submit.select_show.value)">
								<option value="project/project"$sel_show[0]>̾ܺɽ
								<option value="project/show_all_term"$sel_show[1]>ɽ
								<option value="project/show_amount" style="color:#FF00A0"$sel_show[2]>ͽ´
								<option value="project/show_time_graph" style="color:#FF00A0"$sel_show[3]>ͽ¥
								<option value="project/show_amount_month" style="color:#FF00A0"$sel_show[4]>ͽ´()
								<option value="project/member_work" style="color:#A0A000"$sel_show[5]>Ŀͼ
								<option value="project/show_time_amount_graph" style="color:#00A080"$sel_show[6]>ѥ()
								<option value="project/show_amount_graph" style="color:#00A080"$sel_show[7]>ѥ()
								<option value="project/show_documents" style="color:#FF6000"$sel_show[8]>Ϣ
								<option value="project/show_all_steps" style="color:#0000FF"$sel_show[9]>ɽ
							</select>
EOD
	}
	print <<EOD;
						</td>
						<td></td>
						<td colspan="3">
							<input type="button" value="ץȰ" onClick="show_html('project/show_project')">
						</td>
					</tr>
				</table>
EOD

	$prmembers = "#" . $pr_member{$project_no} . "#";
	$srmembers = "#" . $sr_member{$project_no} . "#";
	if($prmembers !~ /#$g_account#/ && $srmembers =~ /#$g_account#/){
		$read_only = 1;
	}
}
1;
